URGENT TODO'S
~~~~~~~~~~~~~
- further implement checking of config-file settings
- further implement the actual usage of config-file settings!

KNOWN BUGS (if you found one, let me know!)
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
- when you type an url that leads to a dir (with an index in it), like http://bla/d without the final / browser gets confused for one reason or another


TODO
~~~~
- implement use of icons in dirlistings
- implement timeout on read of file (overloaded system?)
- implement .htaccess compatibility
- implement authentication
- implement BASE64 encoding (needed for security)
- implement permission checking
- implement virtual hosts
- implement per directory permission settings
- implement using 'preprocessors', aka perl, php
- implement CGI-BIN
- implement caching
- implement SSL
- implement transfer codings (sent & received from & by server)

- limit length of GET requests (URI's) to 255 bytes, to stay compatible with old clients.
  (give 414 Request-URI Too Long)

- send 'charset: blabla' in header to client to determine charset. Use standard of ISO-8859-1.
  Don't send with binary files. Don't send when using pre-created HTML files (or others). Use
  when sending generated responses.

- send 'last modified' header field to client with last modified date

- implement following methods:
	"OPTIONS"                ; Section 9.2 RFC2616
        "GET"                    ; Section 9.3
        "POST"                   ; Section 9.5
        "PUT"                    ; Section 9.6
        "DELETE"                 ; Section 9.7
        "TRACE"                  ; Section 9.8
        "CONNECT"                ; Section 9.9

- implement 'persistent' connections

- extend GET implementation:
"-- The semantics of the GET method change to a "conditional GET" if the request message includes 
    an If-Modified-Since, If-Unmodified-Since, If-Match, If-None-Match, or If-Range header field.
    A conditional GET method requests that the entity be transferred only under the circumstances 
   described by the conditional header field(s). The conditional GET method is intended to reduce 
   unnecessary network usage by allowing cached entities to be refreshed without requiring
   multiple requests or transferring data already held by the client.

   The semantics of the GET method change to a "partial GET" if the request message includes a 
   Range header field. A partial GET requests that only part of the entity be transferred, as 
   described in section 14.35. The partial GET method is intended to reduce unnecessary
   network usage by allowing partially-retrieved entities to be completed without transferring 
   data already held by the client.
	-- RFC2616 section 9.3"

- ... (I can't think of anything else right now, but prolly a lot more)

WANTED
~~~~~~
- a server that's better than apache :-) (Using Java? Naaaaaah)
- a clusterable webserver !
